Fetch a Payin by id
Retrieve Payin details by ID.
- Production
- Sandbox
GET/v1/payins/{id}
curl -X GET 'https://api.minteo.finance/v1/payins/{id}' \-H 'Authorization: Bearer <your-api-key>'GET/v1/payins/{id}
curl -X GET 'https://api.sandbox.minteo.finance/v1/payins/{id}' \-H 'Authorization: Bearer <your-api-key>'RESPONSE
{ "output": { "id": "ffb50d6c-09f1-4f08-9b91-cbce466bed52", "action": { "type": "REDIRECT", "redirect_url": "https://api.minteo.finance/v1/payins/redirect/ffb50d6c-09f1-4f08-9b91-cbce466bed52" }, "status": "PENDING", "destination_wallet_id": "2af83836-43ea-407b-ab4e-9c64ee817b28", "amount": "127000", "token": "COPM", "purpose": "Top-up on behalf of John Doe", "final_url": "https://yoursite.com/payin-completed", "payment": { "method": "PSE", "bank": "BANCO_FALABELLA" }, "third_party": { "full_name": "John Doe", "legal_identifier_type": "CC", "legal_identifier": "1099075610", "country_iso": "CO", "email": "john@example.com" } }, "code": "OK"}Endpoint
GET
/v1/payins/{id}Scope
payins:details
Response
outputPayinThe payin object.
codestringThe response status code text.